Bug 964577 - [abrt] ibus-libpinyin-1.6.91-1.fc18: pinyin::SubPhraseIndex::load: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 11 (SIGSEGV)
[abrt] ibus-libpinyin-1.6.91-1.fc18: pinyin::SubPhraseIndex::load: Process /u...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:e6705bc1fb9495afb70cf09f375...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 21:43 EDT by 沈鑫
Modified: 2014-06-17 08:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 01:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.46 KB, text/plain)
2013-05-18 21:43 EDT, 沈鑫
no flags Details
File: cgroup (134 bytes, text/plain)
2013-05-18 21:43 EDT, 沈鑫
no flags Details
File: dso_list (866 bytes, text/plain)
2013-05-18 21:43 EDT, 沈鑫
no flags Details
File: environ (1.03 KB, text/plain)
2013-05-18 21:44 EDT, 沈鑫
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-18 21:44 EDT, 沈鑫
no flags Details
File: maps (17.63 KB, text/plain)
2013-05-18 21:44 EDT, 沈鑫
no flags Details
File: open_fds (721 bytes, text/plain)
2013-05-18 21:44 EDT, 沈鑫
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-05-18 21:44 EDT, 沈鑫
no flags Details
File: var_log_messages (289 bytes, text/plain)
2013-05-18 21:44 EDT, 沈鑫
no flags Details

  None (edit)
Description 沈鑫 2013-05-18 21:43:50 EDT
Version-Release number of selected component:
ibus-libpinyin-1.6.91-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
core_backtrace: 
crash_function: pinyin::SubPhraseIndex::load
executable:     /usr/libexec/ibus-engine-libpinyin
kernel:         3.6.10-4.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 pinyin::SubPhraseIndex::load at phrase_index.cpp:273
 #1 pinyin::FacadePhraseIndex::diff at phrase_index.cpp:231
 #2 pinyin_save at pinyin.cpp:423
 #3 PY::LibPinyinBackEnd::saveUserDB at PYLibPinyin.cc:261
 #4 PY::LibPinyinBackEnd::timeoutCallback at PYLibPinyin.cc:249
 #10 ibus_main at ibusshare.c:295
 #11 start_component at PYMain.cc:152
Comment 1 沈鑫 2013-05-18 21:43:55 EDT
Created attachment 749919 [details]
File: backtrace
Comment 2 沈鑫 2013-05-18 21:43:57 EDT
Created attachment 749920 [details]
File: cgroup
Comment 3 沈鑫 2013-05-18 21:43:59 EDT
Created attachment 749921 [details]
File: dso_list
Comment 4 沈鑫 2013-05-18 21:44:01 EDT
Created attachment 749922 [details]
File: environ
Comment 5 沈鑫 2013-05-18 21:44:03 EDT
Created attachment 749923 [details]
File: limits
Comment 6 沈鑫 2013-05-18 21:44:05 EDT
Created attachment 749924 [details]
File: maps
Comment 7 沈鑫 2013-05-18 21:44:07 EDT
Created attachment 749925 [details]
File: open_fds
Comment 8 沈鑫 2013-05-18 21:44:09 EDT
Created attachment 749926 [details]
File: proc_pid_status
Comment 9 沈鑫 2013-05-18 21:44:11 EDT
Created attachment 749927 [details]
File: var_log_messages
Comment 10 Peng Wu 2013-05-22 00:47:50 EDT
Please provides the result of the following commands:
$ rpm -qa "libpinyin*" "ibus-libpinyin*"
$ rpm -Va "libpinyin*" "ibus-libpinyin*"
Comment 11 joh.sauer 2013-05-26 18:11:04 EDT
I think I have the same problem, whenever I try to start pinyin input I get a huge process load.
For me the outputs are:

$ rpm -qa "libpinyin*" "ibus-libpinyin*"
libpinyin-0.9.91-1.fc18.x86_64
libpinyin-data-0.9.91-1.fc18.x86_64
ibus-libpinyin-1.6.91-1.fc18.x86_64

$ rpm -Va "libpinyin*" "ibus-libpinyin*" does not return anything
Comment 12 Peng Wu 2013-05-26 22:58:26 EDT
(In reply to joh.sauer from comment #11)

Could you use 'top' to check which process make the huge load?

But I think his problem is not a huge load, but a crash.

Does ibus-libpinyin also crash on your machine?
Comment 13 Peng Wu 2013-05-26 23:01:15 EDT
Could you send your personal data to me in ~/.cache/ibus by email, to analyze the problem?
Comment 14 Fedora End Of Life 2013-12-21 08:37:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.